type Shift @table(name: "shifts") {
  id: UUID! @default(expr: "uuidV4()")
  shiftName: String!  
  startDate: Timestamp!   
  endDate: Timestamp
  assignedStaff: String # assigned_staff (jsonb -> String, array de objects)
  createdDate: Timestamp @default(expr: "request.time")
  updatedDate: Timestamp @default(expr: "request.time")
  createdBy: String @default(expr: "auth.uid")
}
